AC_DEFUN([AM_VSCPL_TARGET_API], [

    AC_CHECK_HEADERS([windows.h winsock2.h])

    test "$ac_cv_header_windows_h" = "yes" -a "$ac_cv_header_winsock2_h" = "yes"
    _target_win32=$?

    AM_CONDITIONAL([TARGET_API_WIN32], test $_target_win32 -eq 0)

    _target_win64="no"
    if test $_target_win32 -eq 0; then
        echo "host_alias: $host_alias"
        case "$host_alias" in
            x86_64*)
                _target_win64="yes"
                ;;
        esac
    fi
    AM_CONDITIONAL([TARGET_API_WIN64], test "$_target_win64" = "yes")

    AM_CONDITIONAL([TARGET_API_POSIX], test $_target_win32 -ne 0)
    TARGET_API_POSIX=0
    TARGET_API_WIN32=0
    TARGET_API_WIN64=0
    if test $_target_win32 -eq 0; then
        if test "$_target_win64" = "yes"; then
            TARGET_API_WIN64=1
        fi
        TARGET_API_WIN32=1
    else
        TARGET_API_POSIX=1
    fi

    AC_SUBST(TARGET_API_POSIX)
    AC_SUBST(TARGET_API_WIN32)
    AC_SUBST(TARGET_API_WIN64)
])

AC_DEFUN([AM_VSCPL], [
    PKG_CHECK_MODULES([VSCPL], [vscpl >= @VERSION@])
])
